<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:tei="http://www.tei-c.org/ns/1.0"
    xmlns="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="xs"
    version="2.0" xpath-default-namespace="http://sub.uni-goettingen.de/edxml#">
    
    <xsl:template match="tei:*">
        <span class="tei {local-name()}" 
            id="{if(@xml:id) then (@xml:id) else ('part_'||generate-id(.))}">
            <xsl:apply-templates/>
        </span>    
    </xsl:template>
    
    <xsl:template match="tei:damage">
        <span class="tei damage" 
            id="{if(@xml:id) then (@xml:id) else ('part_'||generate-id(.))}"
            data-degree="{if (@degree) then (@degree) else ('medium')}">
            <xsl:apply-templates/>
        </span>    
    </xsl:template>
    
</xsl:stylesheet>